%global _disable_ld_no_undefined 1
%define realname	esdl

Name:		erlang-%{realname}
Version:	1.3.1
Release:	%mkrel 3
Summary:	Erlang OpenGL/SDL api and utilities
Group:		Development/Other
License:	MIT
URL:		https://github.com/dgud/esdl
Source:		https://github.com/dgud/esdl/archive/esdl-%{version}/%{realname}-%{version}.tar.gz
Patch0:		esdl-1.3.1-rebar.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	erlang-rebar
BuildRequires:	dos2unix
BuildRequires:	gcc
# Dynamically loads erl_gl.so from erlang-wx package in sdl_video:setVideoMode/4
Requires:	erlang-wx%{?_isa}
Provides:	esdl = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.3.1-2

%description
A library that gives you access to SDL and OpenGL functionality in
your Erlang program.

%prep
%setup -qn %{realname}-esdl-%{version}
%autopatch -p1

chmod 0644 Readme
find -type f -name '*.hrl' | xargs dos2unix
find -type f -name '*.[ch]' | xargs chmod 0644
sed -i -e "s,git,\"%{version}\",g" src/sdl.app.src


%build
%{rebar_compile}


%install
%{erlang_install}
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/src
install -p -m 0644 src/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/src


%check
%{erlang_test}


%files
%license license.terms
%doc Readme
%{erlang_appdir}/


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.3.1-3.mga8
+ Revision: 1512319
- Mageia 8 Mass Rebuild

* Mon Sep 24 2018 wally <wally> 1.3.1-2.mga7
+ Revision: 1303482
- drop devel pkg
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun May 08 2016 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 1010493
- new version: 1.3.1 (based on fedora)
- use new erlang macros

* Tue Feb 09 2016 umeabot <umeabot> 1.2-2.mga6
+ Revision: 951894
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 daviddavid <daviddavid> 1.2-1.mga5
+ Revision: 809484
- new version: 1.2
- switch BRs to pkgconfig
- rediff patch esdl-1.2-optflags.patch
- use %%apply_patches macro

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 740754
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 679027
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 504102
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-3.mga3
+ Revision: 349723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 fwang <fwang> 1.0.1-2.mga2
+ Revision: 147590
- tighten br

* Wed May 04 2011 ennael <ennael> 1.0.1-2.mga1
+ Revision: 94739
- clean spec file
- imported package erlang-esdl


* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 386756
- rebuild for new erlang

* Mon Jun 15 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 386159
- update to new version 1.0.1
- Patch0: rediff
- Patch1: enable support for SDL_image and SDL_tiff
- export mdv LDFLAGS
- fix file list

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.96.0626-13mdv2009.0
+ Revision: 244931
- rebuild

* Wed Feb 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-11mdv2008.1
+ Revision: 175942
- rebuild against new erlang

* Tue Jan 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-10mdv2008.1
+ Revision: 156016
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-9mdv2008.1
+ Revision: 119097
- rebuild against new erlang

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-8mdv2008.0
+ Revision: 40660
- provide patch 0 (compile with %%optflags)
- own missing devel files (not sure if those are really useful :)
- add tests (like testgl,testsprite ... see readme file)

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-7mdv2008.0
+ Revision: 40431
- rebuild for erlang

* Wed May 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-6mdv2008.0
+ Revision: 20574
- correct buildrequires once again...

* Wed May 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-5mdv2008.0
+ Revision: 20376
- fix typo in -devel requires :(

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-4mdv2008.0
+ Revision: 20169
- add requires
- bump release tag

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-3mdv2008.0
+ Revision: 19354
- rebuild against new erlang

* Sun Apr 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-2mdv2008.0
+ Revision: 19079
- fix erlang library path
- spec file clean


* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-1mdv2007.0
+ Revision: 132966
- Import erlang-esdl

